version: '2.4'
networks:
  docker-vmbr100:
    external: true
services:
  coredns-internal-master:
    cap_add:
      - NET_ADMIN
    cpu_count: 1
    mem_limit: 100m
    container_name: coredns-internal-master
    image: registry.gitlab.com/shackspace/docker-images/coredns-internal:latest
#    volumes:
#      - /storage/coredns-internal-master:/etc/coredns/shack
    restart: always
    networks:
      docker-vmbr100:
        ipv4_address: 10.42.14.10
        aliases:
          - dns.shack
    environment:
      - UCARP_INTERFACE=eth0
      - UCARP_SOURCEADDRESS=10.42.14.10
      - UCARP_VIRTUALADDRESS=10.42.14.12
      - UCARP_ADVBASE=1
      - UCARP_ADVSKEW=1
      - UCARP_VIRTUALPREFIX=20
      - UCARP_VHID=1
      - UCARP_PASS="dns"
      - UCARP_UPSCRIPT=/vip-up-default.sh
      - UCARP_DOWNSCRIPT=/vip-down-default.sh
        # -P --> grep master if online
      - UCARP_OPTS=--shutdown -P
    labels:
      - 'com.centurylinklabs.watchtower.enable=true'
